/* Rockets Primary Hex: #dd2b35
Kings Primary Hex: #663694 
*/

@import url("https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,300&family=Roboto+Condensed:wght@300;400;700&family=Roboto:wght@100;300;400;500;700;900&display=swap");

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 62.5%;
  font: inherit;
  vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  font-family: "Exo 2", sans-serif;
  line-height: 1.4;
  color: #ffffff;
  padding: 0;
  background: linear-gradient(
      90deg,
      rgba(102, 54, 148, 0.7) 15%,
      rgba(55, 30, 79, 0.7) 49%,
      rgba(75, 15, 19, 0.7) 53%,
      rgba(221, 43, 53, 0.7) 85%
    ),
    url(/imgs/michelle-mcewen-sCrqMG2f6qo-unsplash.jpg);
  transition: all 0.3s;
}
table {
  font-family: "Roboto Condensed", sans-serif;
  border-collapse: collapse;
}
thead {
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  text-align: right;
}
table td:first-child {
  position: sticky;
  left: 0;
}
td,
th {
  vertical-align: middle;
  padding: 2px 15px 5px 2px;
}
tr {
  text-align: right;
}

table td:first-child,
tr:nth-child(even) {
  background-color: #222222;
}
thead:first-child {
  text-align: left;
}
.wrapper {
  max-width: 60rem;
  margin: 0 auto;
  position: relative;
}
/* INFO BOX */
.logoBox {
  display: flex;
  width: 50%;
  margin-top: 1rem;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 5px;
  border-radius: 3px;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: #333333;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
}
.imgBox {
  margin: auto;
  width: 80%;
}
.logo {
  width: 100%;
  height: 125px;
}
.time-blk-box,
.qtr-blk-box {
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  background-color: #333333;
}
.time-no,
.qtr-no {
  padding: 2px 5px;
}
.score {
  font-size: 2rem;
  font-weight: 700;
}
.teamNameBox {
  display: flex;
  flex-direction: row;
  color: #ffffff;
  width: 100%;
}
.timeBox {
  display: flex;
  justify-content: center;
  align-items: center;
  height: fit-content;
  flex-direction: column;
  row-gap: 1rem;
}
.teamName {
  text-align: center;
}
.time-no,
.qtr-no {
  font-size: 1.2rem;
}
/* BOXSCORE */
.grid-boxscore {
  font-size: 100%;
  font-family: "Roboto Condensed", sans-serif;
  display: grid;
  grid-template: 1fr 1.5fr 1fr 1.5fr 1fr 1.5fr 1fr 1.5fr 1fr 1.5fr / 1fr 1fr;
  background-color: #333333;
  border-radius: 0.3rem;
  margin: 1.5rem auto;
  width: 50%;
  height: fit-content;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  color: #ffffff;
  text-align: center;
}

#cell-0 {
  font-weight: 600;
  font-size: 100%;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  grid-row: 1 / 2;
  grid-column: 1 / 3;
}
#cell-1 {
  border-right: 1px solid #000000;
  grid-row: 2 / 3;
  grid-column: 1 / 2;
}
#cell-2 {
  grid-row: 2 / 3;
  grid-column: 2 / 3;
  align-items: center;
}
#cell-3 {
  font-weight: 600;
  font-size: 100%;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  grid-row: 3 / 4;
  grid-column: 1 / 3;
  border-top: #000000 solid 1px;
}
#cell-4 {
  border-right: 1px solid #000000;
  grid-row: 4 / 5;
  grid-column: 1 / 2;
}
#cell-5 {
  grid-row: 4 / 5;
  grid-column: 2 / 3;
}
#cell-6 {
  font-weight: 600;
  font-size: 100%;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  grid-row: 5 / 6;
  grid-column: 1 / 3;
  border-top: #000000 solid 1px;
}
#cell-7 {
  border-right: 1px solid #000000;
  grid-row: 6 / 7;
  grid-column: 1 / 2;
}
#cell-8 {
  grid-row: 6 / 7;
  grid-column: 2 / 3;
}
#cell-9 {
  font-weight: 600;
  font-size: 100%;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  grid-row: 7 / 8;
  grid-column: 1 / 3;
  border-top: #000000 solid 1px;
}
#cell-10 {
  border-right: 1px solid #000000;
  grid-row: 8 / 9;
  grid-column: 1 / 2;
}
#cell-11 {
  grid-row: 8 / 9;
  grid-column: 2 / 3;
}
#cell-12 {
  font-weight: 600;
  font-size: 100%;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  grid-row: 9 / 10;
  grid-column: 1 / 3;
  border-top: #000000 solid 1px;
}
#cell-13 {
  border-right: 1px solid #000000;
  grid-row: 10 / 11;
  grid-column: 1 / 2;
}
#cell-14 {
  grid-row: 10 / 11;
  grid-column: 2 / 3;
}
.cell-item {
  align-self: center;
  padding: 5px;
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 2px;
}
/* BACKGROUND ANIMATIONS */
.away-pic {
  position: fixed;
  left: 10%;
  top: 20%;
  max-width: 50%;
  z-index: -1;
}

.rotateRt {
  animation: rotation 2s infinite linear alternate;
}
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(5deg);
  }
}

.rotateLf {
  animation: onTheLeft 2s infinite linear alternate;
}
@keyframes onTheLeft {
  0% {
    transform: rotate(5deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
.home-pic {
  position: fixed;
  float: right;
  right: 5%;
  top: 19%;
  max-width: 60%;
  z-index: -1;
}

/* PLAYER STATS */
.flex {
  display: flex;
}
.justCenter-alignCenter {
  justify-content: center;
  align-items: center;
}
.scoreboard {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
}
.box-inner {
  background-color: #333333;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px,
    rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
  max-width: fit-content;
  height: 60vh;
  margin: 1.5rem auto;
  overflow: auto;

  border-radius: 0.3rem;
}
.playerIdCol {
  display: flex;
  text-align: left;
  flex-direction: row;
  padding: 5px 6px;
  width: 11rem;
}
.playerPhoto {
  border-radius: 100%;
  width: 2.7rem;
  height: 2.3rem;
}
.teamName {
  font-weight: 900;
  font-size: 1.4rem;
  letter-spacing: normal;
  padding: 1.25rem;
}
